List smart money tokens
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/wallets/smart-money \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"interval": "7d",
"trader_risk_level": "all",
"sort_by": "net_flow",
"sort_type": "desc",
"limit": 10,
"include_attributes": [
"market_data",
"mindshare",
"token_details"
]
}
'const url = 'https://api.kanarie.xyz/api/v1/data/wallets/smart-money';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interval: '7d',
trader_risk_level: 'all',
sort_by: 'net_flow',
sort_type: 'desc',
limit: 10,
include_attributes: ['market_data', 'mindshare', 'token_details']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/wallets/smart-money"
payload = {
"interval": "7d",
"trader_risk_level": "all",
"sort_by": "net_flow",
"sort_type": "desc",
"limit": 10,
"include_attributes": ["market_data", "mindshare", "token_details"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"projects": [
{
"project_name": "Jupiter",
"symbol": "JUP",
"smart_money": {
"net_flow": 50000,
"smart_traders_total": 12
}
}
],
"metadata": {
"interval": "7d",
"trader_risk_level": "all",
"total_results": 10
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Wallets
List smart money tokens
Retrieve smart money token lists with project enrichment. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
data
/
wallets
/
smart-money
List smart money tokens
curl --request POST \
--url https://api.kanarie.xyz/api/v1/data/wallets/smart-money \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"interval": "7d",
"trader_risk_level": "all",
"sort_by": "net_flow",
"sort_type": "desc",
"limit": 10,
"include_attributes": [
"market_data",
"mindshare",
"token_details"
]
}
'const url = 'https://api.kanarie.xyz/api/v1/data/wallets/smart-money';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
interval: '7d',
trader_risk_level: 'all',
sort_by: 'net_flow',
sort_type: 'desc',
limit: 10,
include_attributes: ['market_data', 'mindshare', 'token_details']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/data/wallets/smart-money"
payload = {
"interval": "7d",
"trader_risk_level": "all",
"sort_by": "net_flow",
"sort_type": "desc",
"limit": 10,
"include_attributes": ["market_data", "mindshare", "token_details"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"projects": [
{
"project_name": "Jupiter",
"symbol": "JUP",
"smart_money": {
"net_flow": 50000,
"smart_traders_total": 12
}
}
],
"metadata": {
"interval": "7d",
"trader_risk_level": "all",
"total_results": 10
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Available options:
1d, 7d, 30d Available options:
all, low, medium, high Available options:
net_flow, smart_traders_no, market_cap Available options:
asc, desc Required range:
0 <= x <= 10000Required range:
1 <= x <= 20Available options:
developments, recent_content, technical_analysis, market_data, mindshare, detailed_description, metadata, token_details Required range:
1 <= x <= 25Required range:
1 <= x <= 30Was this page helpful?